buildscript {
    ext {
        androidXCore = "1.4.0"
        buildToolsVersion = "30.0.2"
        minSdkVersion = 21
        compileSdkVersion = 30
        targetSdkVersion = 30
        kotlinVersion = "1.5.31"
        ndkVersion = "20.1.5948944"
        supportLibVersion = "28"
        // kotlin_version = '1.6.10'
    }
    repositories {
        google()
        //jcenter()
        mavenCentral()
         maven { url 'https://www.jitpack.io' }
    }

    dependencies {
        classpath('com.android.tools.build:gradle:4.2.1')
        //classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

subprojects {
    afterEvaluate {project ->
        if (project.hasProperty("android")) {
            android {
                compileSdkVersion rootProject.ext.compileSdkVersion
                buildToolsVersion rootProject.ext.buildToolsVersion
            }
        }
    }
}

allprojects {
    repositories {
        mavenLocal()
        maven {
            // All of React Native (JS, Obj-C sources, Android binaries) is installed from npm
            url("$rootDir/../node_modules/react-native/android")
        }
        maven {
            // Android JSC is installed from npm
            url("$rootDir/../node_modules/jsc-android/dist")
        }
        mavenCentral {
            // We don't want to fetch react-native from Maven Central as there are
            // older versions over there.
            content {
                excludeGroup "com.facebook.react"
            }
        }
        google()
       // jcenter()
        maven { url 'https://www.jitpack.io' }
    }
}
